Mailinglist Archive: opensuse-factory (439 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20190423 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20190423

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
aaa_base (84.87+git20190404.8684de3 -> 84.87+git20190418.a543e8e)
cups-filters (1.22.1 -> 1.22.5)
dav1d (0.2.1 -> 0.2.2)
fuse3 (3.4.2 -> 3.5.0)
iftop
insserv-compat
kernel-firmware (20190312 -> 20190409)
libepoxy
libmatroska (1.4.9 -> 1.5.0)
libstorage-ng (4.1.110 -> 4.1.112)
libvirt
mozc
multipath-tools
nagios
osc (0.164.2 -> 0.165.0)
pcaudiolib (1.0 -> 1.1)
perl-DateTime (1.50 -> 1.51)
perl-DateTime-TimeZone (2.34 -> 2.35)
pulseaudio
python-parso (0.3.4 -> 0.4.0)
python-qt5 (5.12 -> 5.12.1)
rdma-core (22.1 -> 23.0)
rpm-config-SUSE (0.g11 -> 0.g14)
ruby2.6 (2.6.2 -> 2.6.3)
tigervnc
yast2-trans (84.87.20190412.26ef452e5e -> 84.87.20190419.dc2675f07e)

=== Details ===

==== aaa_base ====
Version update (84.87+git20190404.8684de3 -> 84.87+git20190418.a543e8e)
Subpackages: aaa_base-extras

- Update to version 84.87+git20190418.a543e8e:
* Remove rc.splash and rc.status, now part of insserv-compat [bsc#1132738]

==== cups-filters ====
Version update (1.22.1 -> 1.22.5)

- Version upgrade to 1.22.5
* foomatic-rip: Changed Ghostscript call to count pages in a
PDF file to use "runpdfbegin" and not the undocumented
Ghostscript internal "pdfdict", so that it works with
Ghostscript 9.27 and later (Debian bug #926576,
Arch Linux bug #62251, openSUSE boo#1131771,
cups@xxxxxxxx mailing list thread
https://lists.cups.org/pipermail/cups/2019-April/074563.html).
- Version upgrade to 1.22.4
* cups-browsed: Fix broken trailing space removal on
"NickName" (Pull request #103).
* pdftops: Emit PostScript Level 2 instead of Level 3 for
Brother PostScript printers as at least some of them
report to support level 3 but ontly work with Level 2
(Ubuntu bug #1306849, comment #42).
* bannertopdf: When multiplying the page for N-up or Duplex
printing one page too much was generated (Issue #102).
- Version upgrade to 1.22.3
* libcupsfilters: Added error checks for processing GIF, to
avoid crashes or hangs on broken GIF files (Issues #81, #82,
Pull request #100).
* cups-browsed: Added hint to the man page and configuration
file that with "DebugLogging stderr" the logging output goes
to journal or syslog if cups-browsed is running as system
service (Issue #28).
- Version upgrade to 1.22.2
* cups-browsed: Let distribution of jobs sent to queues with
"implicitclass" backend (usually clusters) be done by a
"job-state" CUPS notification and not by
"printer-state-changed" any more. The "job-state"
notification already contains the job ID. Before we had to
poll the job ID from CUPS via IPP which was sometimes
unreliable (Issue #97).
* imagetopdf, imagetoraster, pdftopdf, libcupsfilters: Added
new page scaling options: "fill" scales the input page
(typically a photo) so that the output page (typically with
different aspect ratio) gets completely filled, aloowing for
some content of the input page getting lost. "crop-to-fit"
allows for easy printing of documents on slightly different
output page sizes (A4 <-> Letter) maintaining the size and
centering and cropping into the destination page. Thanks to
Dheeraj Yadav (dhirajyadav135 at gmail dot com) for the
patch (Pull request #92).
* cups-browsed: Do not do IPP request for printer-is-shared
option for remote cups queues with CUPS 2.2.x and newer
(Pull request #91).
* cups-browsed: Fix crash bug when reading "Cluster"
directive from configuration file (Issue #94).
* driverless: Updated man page as now also Mopria and
Wi-Fi Direct printers are supported. Mentioned also
ippusbxd.

==== dav1d ====
Version update (0.2.1 -> 0.2.2)

- Update to version 0.2.2
* Large improvement on MSAC decoding with SSE, bringing 4-6%
speed increase
The impact is important on SSSE3, SSE4 and AVX-2 cpus
* SSSE3 optimizations for all blocks size in itx
* SSSE3 optimizations for ipred_paeth and ipref_cfl (420, 422
and 444)
* Speed improvements on CDEF for SSE4 CPUs
* NEON optimizations for SGR and loop filter
* Minor crashes, improvements and build changes

==== fuse3 ====
Version update (3.4.2 -> 3.5.0)
Subpackages: libfuse3-3

- Update to 3.5.0:
* Changed ioctl commands to "unsigned int" in order to support
commands which do not fit into a signed int. Commands issued
by applications are still truncated to 32 bits.
* Added SMB2 to whitelist (so users can now mount FUSE
filesystems on mountpoints within SMB 2.0 filesystems).
* Added a new cache_readdir flag to fuse_file_info to enable
caching of readdir results. Supported by kernels 4.20 and newer.
* Add support and documentation for FUSE_CAP_NO_OPENDIR_SUPPORT.

==== iftop ====

- added 006-iftop-choose_first_running_interface.patch:
Choose first running interface, rather than first "up" interface
- apply/use 0001-Prefer-ncurses6w.patch only on newer distributions

==== insserv-compat ====

- Add rc.status and rc.splash from aaa_base [bsc#1132738]
- drop insserv.conf, it's no longer useful (boo#1052837)

==== kernel-firmware ====
Version update (20190312 -> 20190409)
Subpackages: ucode-amd

- Update to version 20190409:
* linux-firmware: Add firmware file for Intel Bluetooth 22161
* cxgb4: update firmware to revision 1.23.4.0
* linux-firmware: Update NXP Management Complex firmware to version 10.14.3
* linux-firmware: add firmware for MT7615E
* mediatek: update MT8173 VPU firmware to v1.1.2 [decoder] Enlarge struct
vdec_pic_info to support more capture buffer plane and capture buffer format
change.
* linux-firmware: update Marvell 8797/8997 firmware images
* nfp: update Agilio SmartNIC flower firmware to rev AOTC-2.10.A.23
* cxgb4: update firmware to revision 1.23.3.0
* linux-firmware: Update firmware file for Intel Bluetooth 8265
* linux-firmware: Update firmware file for Intel Bluetooth 9260
* linux-firmware: Update firmware file for Intel Bluetooth 9560

==== libepoxy ====

- Remove pkgconfig dependecies for glesv1_cm and glesv2:
Starting with mesa commit b01524fff05
"meson: don't build libGLES*.so with GLVND" mesa stopped providing
glesv1_cm.pc and glesv2.pc along. Let epoxy find the libraries directly
instead.

==== libmatroska ====
Version update (1.4.9 -> 1.5.0)

- Update to 1.5.0:
* Compatibilty with libEBML 1.3.7

==== libstorage-ng ====
Version update (4.1.110 -> 4.1.112)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- Translated using Weblate (Indonesian)
- 4.1.112
- merge gh#openSUSE/libstorage-ng#638
- parse devid in output of 'btrfs filesystem show'
- reuse predefined regex
- 4.1.111

==== libvirt ====
Subpackages: libvirt-bash-completion libvirt-client libvirt-daemon
libvirt-daemon-driver-interface libvirt-daemon-driver-libxl
libvirt-daemon-driver-lxc libvirt-daemon-driver-network
libvirt-daemon-driver-nodedev libvirt-daemon-driver-nwfilter
libvirt-daemon-driver-qemu libvirt-daemon-driver-secret
libvirt-daemon-driver-storage libvirt-daemon-driver-storage-core
libvirt-daemon-driver-storage-disk libvirt-daemon-driver-storage-gluster
libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-iscsi-direct
libvirt-daemon-driver-storage-logical libvirt-daemon-driver-storage-mpath
libvirt-daemon-driver-storage-rbd libvirt-daemon-driver-storage-scsi
libvirt-daemon-lxc libvirt-daemon-qemu libvirt-daemon-xen libvirt-libs

- qemu: fix CDROM media change when using virDomainAttachDevice
89237d53-conf-expose-virDomainSCSIDriveAddressIsUsed.patch,
ee2c5ef3-test-scsi-disk.patch,
ddc72f99-qemu-check-dup-drive-address.patch,
22dc3e94-revert-f1d65853.patch
boo#1132127

==== mozc ====
Subpackages: fcitx-mozc ibus-mozc ibus-mozc-candidate-window mozc-gui-tools

- update to support the Japanese new era, Reiwa (boo#1132450)
* add-Japanese-new-era-reiwa-ligature-to-dict.patch
* add-Japanese-new-era-reiwa-to-date_rewriter.patch
* add-Japanese-new-era-reiwa-to-dict.patch
- update zip code dictionary

==== multipath-tools ====
Subpackages: kpartx libmpath0

- Trim %if..%endif guards that do not affect the build result.
- Combine %service_* calls to reduce generated code.
- Make use of %make_install.

==== nagios ====
Subpackages: nagios-www

- revert setting of sbindir back to nagios_cgidir

==== osc ====
Version update (0.164.2 -> 0.165.0)

- 0.165.0
* full python3 compatibility (bsc#1125243)
fixes bsc#1131512, bsc#1129889, bsc#1129757
* removed following patches (now upstream):
001_helper.patch
002_man_page_building.patch
003_setup.patch
004_babysitter.patch
005_oscssl.patch
006_build.patch
007_core.patch
008_commandline.patch
009_fetch.patch
010_fix-decoding_in_canonname.patch
011_repodata.patch
012_packagequery.patch
- spec file modifications:
* noarch only on non-SUSE distros and newer SUSE Versions > 11
* disable testsuite on older SUSE Versions (unittest module too old)
- moved Recommends for diffstat to suse specific section.
- added Buildrequires and Requires for python-chardet
* needed for determining the encoding of objects (Requires)
* needed also for testing in %check section (BuildRequires)
- activate tests for osc
- add Buildrequires and Recommends for diffstat
osc prdiff --diffstat needs it
The testsuite needs it (Therefore the BuildRequires
- modified patch 008_commandline.patch
* fix broken sorted call on osc my sr when sorting
the submit requests by reqid. (gh#519)
- modified patch 007_core.patch
* fix slowdown of rbl with readline(bufsize) function.
(bsc#1127932)
- fix for bsc#1126055 (osc build -p <dir> fails with TypeError):
* add 011_repodata.patch
* add 012_packagequery.patch
* modified 006_build.patch, 010_fix-decoding_in_canonname.patch
- fix for bsc#1126058 (osc buildinfo -p <dir> fails with TypeError):
* modified 008_commandline.patch
- add 010_fix-decoding_in_canonname.patch
RpmQuery.canonname returns broken filename due to missing
decoding.
- osc is now noarch for all
- fixed %license

==== pcaudiolib ====
Version update (1.0 -> 1.1)

- Update to version 1.1
* Fix handling EBADFD, EPIPE and short write when writing to
the ALSA device.
* Fix audio echos when using `snd_pcm_drop` in ALSA devices.

==== perl-DateTime ====
Version update (1.50 -> 1.51)

- updated to 1.51
see /usr/share/doc/packages/perl-DateTime/Changes
1.51 2019-04-21
- Fix CLDR formatting of 'S' pattern with more than 9 digits of
precision. While we only store nanoseconds in the DateTime object we should
still be able to handle an arbitrary number of digits properly. Fixed by
Slaven Rezi?. GH #89.

==== perl-DateTime-TimeZone ====
Version update (2.34 -> 2.35)

- updated to 2.35
see /usr/share/doc/packages/perl-DateTime-TimeZone/Changes
2.35 2019-04-21
- Handle "infinity" as a representation of infinite values in serialized
objects. On Solaris we end up with "infinity" and "-infinity" as opposed to
just "inf" and "-inf". Fixed by Andrew Paprocki. GH #36.

==== pulseaudio ====
Subpackages: libpulse-mainloop-glib0 libpulse0 pulseaudio-bash-completion
pulseaudio-gdm-hooks pulseaudio-lang pulseaudio-module-bluetooth
pulseaudio-module-gsettings pulseaudio-module-x11 pulseaudio-module-zeroconf
pulseaudio-utils

- Fix the UCM module build due to the removal of alsa/* include
path (bsc#1132880):
updated pulseaudio-alsa.patch

==== python-parso ====
Version update (0.3.4 -> 0.4.0)

- update to 0.4.0
* Python 3.8 support
* FileIO support, it's now possible to use abstract file IO, support is alpha

==== python-qt5 ====
Version update (5.12 -> 5.12.1)
Subpackages: python-qt5-utils python3-qt5

- Trim name repetition from summary.
- Package .dist-info directory. The bugs with it have been fixed
and some packages require it in order to properly detect that
pyqt5 is installed.
- Update to 5.12.1
Fixed QIcon(QIconEngine) to reflect that the engine is explicitly
shared between every copy of the icon.
- Prepare update-timeline.patch for Qt 5.13.0

==== rdma-core ====
Version update (22.1 -> 23.0)
Subpackages: libibverbs libibverbs1 libmlx4-1 libmlx5-1 librdmacm1

- Update to rdma-core v23
- No release notes available
- Enable pyverbs package
- Remove patches that were merged upstream
- Update-kernel-headers.patch
- bnxt_re-lib-Enable-Broadcom-s-57500-RoCE-adapter.patch

==== rpm-config-SUSE ====
Version update (0.g11 -> 0.g14)

- Don't use bash syntax in %install_info macro [bsc#1131957]

==== ruby2.6 ====
Version update (2.6.2 -> 2.6.3)
Subpackages: libruby2_6-2_6 ruby2.6-devel

- update to 2.6.3
This release adds support for New Japanese Era ???? (Reiwa). It
updates the Unicode version to 12.1 beta (#15195), and updates
date library (#15742).
https://github.com/ruby/ruby/compare/v2_6_2...v2_6_3

==== tigervnc ====
Subpackages: libXvnc1 xorg-x11-Xvnc xorg-x11-Xvnc-module

- tigervnc-1.9.0-199-005db35
* update to current git master in order to fix boo#1132901

==== yast2-trans ====
Version update (84.87.20190412.26ef452e5e -> 84.87.20190419.dc2675f07e)
Subpackages: yast2-trans-af yast2-trans-ar yast2-trans-bg yast2-trans-bn
yast2-trans-bs yast2-trans-ca yast2-trans-cs yast2-trans-cy yast2-trans-da
yast2-trans-de yast2-trans-el yast2-trans-en yast2-trans-en_GB
yast2-trans-en_US yast2-trans-es yast2-trans-et yast2-trans-fa yast2-trans-fi
yast2-trans-fr yast2-trans-gl yast2-trans-gu yast2-trans-hi yast2-trans-hr
yast2-trans-hu yast2-trans-id yast2-trans-it yast2-trans-ja yast2-trans-jv
yast2-trans-ka yast2-trans-km yast2-trans-ko yast2-trans-lo yast2-trans-lt
yast2-trans-mk yast2-trans-mr yast2-trans-nb yast2-trans-nl yast2-trans-pa
yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR yast2-trans-ro yast2-trans-ru
yast2-trans-si yast2-trans-sk yast2-trans-sl yast2-trans-sr yast2-trans-sv
yast2-trans-ta yast2-trans-th yast2-trans-tr yast2-trans-uk yast2-trans-vi
yast2-trans-wa yast2-trans-xh yast2-trans-zh_CN yast2-trans-zh_TW yast2-trans-zu

- Update to version 84.87.20190419.dc2675f07e:
* New POT for text domain 'qt-pkg'.
* New POT for text domain 'qt'.
* New POT for text domain 'cluster'.
- Update to version 84.87.20190418.408a34e118:
* New POT for text domain 'control'.
* New POT for text domain 'ncurses'.
* New POT for text domain 'pam'.
* New POT for text domain 'qt'.
* New POT for text domain 'storage'.
* New POT for text domain 'users'.
* Translated using Weblate (Albanian)
* Translated using Weblate (Arabic)
* Translated using Weblate (Catalan)
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Czech)
* Translated using Weblate (Danish)
* Translated using Weblate (Dutch)
* Translated using Weblate (Finnish)
* Translated using Weblate (French)
* Translated using Weblate (German)
* Translated using Weblate (Indonesian)
* Translated using Weblate (Italian)
* Translated using Weblate (Japanese)
* Translated using Weblate (Polish)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Russian)
* Translated using Weblate (Slovak)
- Update to version 84.87.20190418.408a34e118:
* Add download for updated rpm-groups.pot
* Fix alignment in Partitioner/Add NFS Client/Error pop-up
(bsc#1128141)
* Fix storage path displays in Arabic text (bsc#1128149)
* Fix storage path displays in Arabic text, part 2 (bsc#1128149)
* New POT for text domain 'authserver'.
* New POT for text domain 'control'.
* New POT for text domain 'firstboot'.
* New POT for text domain 'ncurses'.
* New POT for text domain 'network'.
* New POT for text domain 'packager'.
* New POT for text domain 'pam'.
* New POT for text domain 'qt'.
* New POT for text domain 'rpm-groups'.
* New POT for text domain 's390'.
* New POT for text domain 'samba-client'.
* New POT for text domain 'storage'.
* New POT for text domain 'update'.
* New POT for text domain 'users'.
* Remove unnecessary code
* Translated using Weblate (Albanian)
* Translated using Weblate (Arabic)
* Translated using Weblate (Catalan)
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Czech)
* Translated using Weblate (Danish)
* Translated using Weblate (Dutch)
* Translated using Weblate (Finnish)
* Translated using Weblate (French)
* Translated using Weblate (German)
* Translated using Weblate (Indonesian)
* Translated using Weblate (Italian)
* Translated using Weblate (Japanese)
* Translated using Weblate (Polish)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Russian)
* Translated using Weblate (Slovak)


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages